strip-nondeterminism (1.15.0-1build1) resolute; urgency=medium

  * Rebuild to clear amd64v3 from FTBFS report

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 18 Dec 2025 07:58:25 -0500

strip-nondeterminism (1.15.0-1) unstable; urgency=medium

  [ Matwey Kornilov ]
  * Add support for inline archive files for escript (Erlang).

 -- Chris Lamb <lamby@debian.org>  Mon, 08 Sep 2025 12:29:17 -0700

strip-nondeterminism (1.14.2-1) unstable; urgency=medium

  * Add `# INTROSPECTABLE: CONFIG-FILES NONE` to dh_strip_nondeterminism.
    Thanks to Niels Thykier. Closes: #1111947.
  * Bump standards version to 4.7.2, no changes needed.
  * Use default Debian salsa pipelines via debian/salsa-ci.yml instead of
    using .gitlab-ci.yml.

 -- Holger Levsen <holger@debian.org>  Sun, 24 Aug 2025 19:02:09 +0200

strip-nondeterminism (1.14.1-2) unstable; urgency=medium

  [ Chris Lamb ]
  * Bump Standards-Version to 4.7.0.

 -- Holger Levsen <holger@debian.org>  Sun, 09 Feb 2025 12:54:55 +0100

strip-nondeterminism (1.14.1-1) unstable; urgency=medium

  [ Chris Lamb ]
  * Clarify the --verbose and non-verbose output of the
    strip-nondeterminism entry point so we don't imply we are normalizing files
    when we are not. Thanks, Niels Thykier. (Closes: #1093513)

  [ Ed J ]
  * Use and define a $full_name variable to improve code legibility.

 -- Chris Lamb <lamby@debian.org>  Tue, 21 Jan 2025 11:23:24 +0000

strip-nondeterminism (1.14.0-1) unstable; urgency=medium

  [ Alex Muntada ]
  * Avoid Sub::Override and break circular dependencies in debhelper.

  [ Chris Lamb ]
  * Drop Depends, Build-Depends and Makefile.PL PREREQ_PM entry for
    libsub-override-perl.

 -- Chris Lamb <lamby@debian.org>  Fri, 24 May 2024 08:55:32 +0100

strip-nondeterminism (1.13.1-1) unstable; urgency=medium

  [ FC Stegerman ]
  * Update pyzip regex for latest file(1). Closes: #1028892.

  [ Holger Levsen ]
  * Bump standards version to 4.6.2, no changes needed.

 -- Holger Levsen <holger@debian.org>  Sun, 15 Jan 2023 20:53:45 +0100

strip-nondeterminism (1.13.0-2) unstable; urgency=medium

  [ Holger Levsen ]
  * d/control: libfile-stripnondeterminism-perl: set Multi-Arch: foreign
  * Bump standards version to 4.6.1

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

 -- Holger Levsen <holger@debian.org>  Wed, 30 Nov 2022 19:29:22 +0100

strip-nondeterminism (1.13.0-1) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * dh_strip_nondeterminism: use get_non_binnmu_date_epoch() when available.
    Closes: #999665
  * Add a lintian overrides for some false positive tags.

 -- Holger Levsen <holger@debian.org>  Mon, 20 Dec 2021 18:12:02 +0100

strip-nondeterminism (1.12.1-1) unstable; urgency=medium

  [ Jonas Witschel ]
  * Do not fail on JAR archives containing invalid members with a .jar
    extension. (Closes: reproducible-builds/strip-nondeterminism!13)

 -- Chris Lamb <lamby@debian.org>  Mon, 22 Nov 2021 10:56:48 -0800

strip-nondeterminism (1.12.0-2) unstable; urgency=medium

  [ Chris Lamb ]
  * Bump Standards-Version to 4.6.0.1.

  [ Holger Levsen ]
  * Fix too long line in d/changelog 1.12.0-1.

 -- Holger Levsen <holger@debian.org>  Thu, 21 Oct 2021 09:29:05 +0200

strip-nondeterminism (1.12.0-1) unstable; urgency=medium

  [ Chris Lamb ]
  * Support normalising Python "pyzip" files -- ie. zip-compressed .py files
    with a regular Python shebang.
    (Closes: reproducible-builds/strip-nondeterminism#18)
  * Drop single-debian-patch, etc.

  [ Bernhard M. Wiedemann ]
  * Move exception handling closer to call using perl's "//" operator.

 -- Chris Lamb <lamby@debian.org>  Fri, 07 May 2021 12:36:57 +0100

strip-nondeterminism (1.11.0-1) unstable; urgency=medium

  [ Helmut Grohne ]
  * Also normalise PO-Revision-Date in addition to POT-Creation-Date.
    (Closes: #981895)

 -- Chris Lamb <lamby@debian.org>  Fri, 05 Feb 2021 12:04:06 +0000

strip-nondeterminism (1.10.0-1) unstable; urgency=medium

  [ Chris Lamb ]
  * Ignore unwritable files, printing a warning. (Closes: #980356)

  [ Holger Levsen ]
  * Update Standards-Version to 4.5.1, no changes needed.

 -- Chris Lamb <lamby@debian.org>  Mon, 18 Jan 2021 09:30:40 +0000

strip-nondeterminism (1.9.0-1) unstable; urgency=medium

  [ Marc Herbert ]
  * Add a warning message under --verbose statement when the Archive::Cpio
    package is missing. (MR: reproducible-builds/strip-nondeterminism!6)

  [ Chris Lamb ]
  * Don't install the internal handler documentation generated from pod
    documents.
  * Correct a "situation" typo.

 -- Chris Lamb <lamby@debian.org>  Sat, 11 Jul 2020 11:38:49 +0100

strip-nondeterminism (1.8.1-2) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * d/control:
    - depend only on libdebhelper-perl, to avoid any chance of a circular
      dependency.
    - bump debhelper compat level to 13.

  [ Holger Levsen ]
  * Install the manpages for all different handlers into the
    libfile-stripnondeterminism-perl package.
  * Drop build-depends on dpkg-dev. dpkg-dev is part of build-essential and
    the version requirement is met in jessie.

 -- Holger Levsen <holger@debian.org>  Sun, 05 Jul 2020 12:00:09 +0200

strip-nondeterminism (1.8.1-1) unstable; urgency=medium

  [ Bernhard M. Wiedemann ]
  * Fix an off-by-one error when parsing PNG modification times.
    (Closes: reproducible-builds/strip-nondeterminism#16)

  [ Chris Lamb ]
  * Add deprecation plans to all handlers documenting how/if they could be
    disabled/removed, etc. (Re: reproducible-builds/strip-nondeterminism#3)

 -- Chris Lamb <lamby@debian.org>  Tue, 26 May 2020 11:34:46 +0100

strip-nondeterminism (1.8.0-1) unstable; urgency=medium

  * Add support for custom .zip filename filtering and exclude two patterns of
    files generated by Maven projects in "fork" mode.
    (Closes: reproducible-builds/strip-nondeterminism#13)

 -- Chris Lamb <lamby@debian.org>  Fri, 17 Apr 2020 11:30:22 +0100

strip-nondeterminism (1.7.0-1) unstable; urgency=medium

  [ Chris Lamb ]
  * Normalise *.sym files as Java archives. (Closes: #956160)

  [ Holger Levsen ]
  * Wrap long lines in changelog entries: 0.025-1, 0.023-1.

 -- Chris Lamb <lamby@debian.org>  Thu, 09 Apr 2020 00:10:34 +0100

strip-nondeterminism (1.6.3-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

  [ Holger Levsen ]
  * Bump Standards-Version to 4.5.0.

 -- Holger Levsen <holger@debian.org>  Tue, 21 Jan 2020 12:39:36 +0100

strip-nondeterminism (1.6.3-1) unstable; urgency=medium

  * Add "file" as a dependency for libfile-stripnondeterminism-perl.
    (Closes: #945212)

 -- Chris Lamb <lamby@debian.org>  Fri, 22 Nov 2019 11:46:57 -0500

strip-nondeterminism (1.6.2-1) unstable; urgency=medium

  [ Sven Joachim ]
  * Prefer libdebhelper-perl over debhelper to break the circular dependency
    between debhelper and dh-strip-nondeterminism. (Closes: #939720)

  [ Chris Lamb ]
  * Move away from deprecated ADTTMP variable.

 -- Chris Lamb <lamby@debian.org>  Fri, 01 Nov 2019 10:55:52 -0700

strip-nondeterminism (1.6.1-1) unstable; urgency=medium

  * Drop the t/fixtures/zip/bug_803503.zip test fixtures as they are no longer
    compatible with Archive::Zip >= 1.66. Thanks to gregor herrmann for liasing
    on this issue with upstream. (Closes: #940973)
  * Bump debhelper compat level to 12.
  * Bump Standards-Version to 4.4.1.

 -- Chris Lamb <lamby@debian.org>  Tue, 15 Oct 2019 12:56:45 -0700

strip-nondeterminism (1.6.0-1) unstable; urgency=medium

  [ Marc Herbert ]
  * GNU ar handler (ar.pm):
    - Don't corrupt the pseudo-filemode of the symbols table '/'.
    - Add test files for symtab ('/') and long names ('//').
    - Stop corrupting the SystemV/GNU table of long filenames.
  * Add new $File::StripNondeterminism::verbose global and, if enabled, tell
    the user that GNU ar could not set the symbol table's mtime.

  [ Chris Lamb ]
  * Drop warning emitted on every fixture-based test.

 -- Chris Lamb <lamby@debian.org>  Sat, 07 Sep 2019 11:06:39 +0100

strip-nondeterminism (1.5.0-1) unstable; urgency=medium

  * Add support for enabling and disabling specific normalizers via the command
    line. (Closes: reproducible-builds/strip-nondeterminism#10)
  * In verbose mode, print the normalizers that are enabled.
  * Re-introduce the .ar normalizer, but disable it by default so that it can
    be specifically enabled with "--normalizers=+ar".

 -- Chris Lamb <lamby@debian.org>  Wed, 14 Aug 2019 13:30:35 -0700

strip-nondeterminism (1.4.0-1) unstable; urgency=medium

  * Support OpenJDK ".jmod" files. Thanks to Emmanuel Bourg for the bug report
    and implementation idea. (Closes: #933337)

 -- Chris Lamb <lamby@debian.org>  Tue, 30 Jul 2019 09:34:38 -0300

strip-nondeterminism (1.3.0-1) unstable; urgency=medium

  * Pass --no-sandbox if necessary to bypass seccomp-enabled version of
    file(1) which was causing a large number of regressions in our testing
    framework, etfc. (re. #932006)
  * Don't build release tags in GitLab CI.

 -- Chris Lamb <lamby@debian.org>  Mon, 22 Jul 2019 11:50:15 -0300

strip-nondeterminism (1.2.3-1) unstable; urgency=medium

  * Don't just run the tests but build the Debian package instead using Salsa's
    centralised scripts so that we get code coverage, Lintian, autopkgtests,
    etc.
  * Drop misleading MANIFEST and MANIFEST.SKIP files as they are not used by
    our release processes.
  * Update debian/gbp.conf after merge of 'debian' branch.

 -- Chris Lamb <lamby@debian.org>  Thu, 18 Jul 2019 10:05:14 -0300

strip-nondeterminism (1.2.2-1) unstable; urgency=medium

  * Actually replace all instances of libmonkey-patch-perl with
    libsub-override-perl (re. #931730)
  * Update gitlab-ci.yml:
    - No need to specify not building the "debian" branch; it has no
      build configuration file.
    - Don't build (release) tags.

 -- Chris Lamb <lamby@debian.org>  Mon, 15 Jul 2019 10:41:41 -0300

strip-nondeterminism (1.2.1-1) unstable; urgency=medium

  [ Niko Tyni ]
  * Use Sub::Override for Archive::Zip workarounds instead of Monkey::Patch
    (see reproducible-builds/strip-nondeterminism#8 for more information).
    (Closes: #931730)

  [ Chris Lamb ]
  * Add a ".gitlab-ci.yml" to automatically run the testsuite on
    salsa.debian.org.

 -- Chris Lamb <lamby@debian.org>  Mon, 15 Jul 2019 10:31:13 -0300

strip-nondeterminism (1.2.0-2) unstable; urgency=medium

  * Bump standards version to 4.4.0, no changes needed.
  * Source only upload to match bullseye release requirements.

 -- Holger Levsen <holger@debian.org>  Mon, 08 Jul 2019 15:56:01 +0200

strip-nondeterminism (1.2.0-1) unstable; urgency=medium

  * Upload to unstable now that buster has been released.
  * Support timestamp clamping of "tIME" chunks in .png files.
    (Closes: #931039)
  * Identify data files from the COmmon Data Access (CODA) framework
    as being .zip files.

 -- Chris Lamb <lamby@debian.org>  Sun, 07 Jul 2019 11:45:14 -0300

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libfile-stripnondeterminism-perl`.
